get ingestion status
curl --request POST \
--url https://api.unprice.dev/v1/ingestion-events/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_ts": 123,
"to_ts": 123,
"customer_id": "<string>",
"cursor": {
"handledAt": 123,
"canonicalAuditId": "<string>"
},
"source_id": "<string>",
"event_slug": "<string>",
"limit": 50
}
'import requests
url = "https://api.unprice.dev/v1/ingestion-events/status"
payload = {
"from_ts": 123,
"to_ts": 123,
"customer_id": "<string>",
"cursor": {
"handledAt": 123,
"canonicalAuditId": "<string>"
},
"source_id": "<string>",
"event_slug": "<string>",
"limit": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_ts: 123,
to_ts: 123,
customer_id: '<string>',
cursor: {handledAt: 123, canonicalAuditId: '<string>'},
source_id: '<string>',
event_slug: '<string>',
limit: 50
})
};
fetch('https://api.unprice.dev/v1/ingestion-events/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"window": {
"from": 123,
"to": 123
},
"totals": {
"processed": 123,
"rejected": 123,
"failed": 123,
"total": 123
},
"successRate": 123,
"freshness": {
"generatedAt": 123,
"dataFrom": 123,
"dataTo": 123,
"latestHandledAt": 123,
"secondsSinceLatest": 123
},
"live": [
{
"second": "<string>",
"processed": 123,
"rejected": 123,
"failed": 123,
"total": 123
}
],
"rejections": [
{
"rejectionReason": "<string>",
"eventSlug": "<string>",
"sourceId": "<string>",
"sourceType": "<string>",
"eventCount": 123,
"lastSeenAt": 123
}
],
"recentEvents": [
{
"eventId": "<string>",
"canonicalAuditId": "<string>",
"customerId": "<string>",
"eventSlug": "<string>",
"sourceType": "<string>",
"sourceId": "<string>",
"rejectionReason": "<string>",
"failureStage": "<string>",
"failureReason": "<string>",
"failureMessage": "<string>",
"replayable": true,
"timestamp": 123,
"receivedAt": 123,
"handledAt": 123
}
],
"nextCursor": {
"handledAt": 123,
"canonicalAuditId": "<string>"
},
"answer": "<string>",
"evidence": [
{
"id": "<string>",
"timestamp": 123
}
],
"warnings": [
"<string>"
],
"nextActions": [
"<string>"
]
}{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}ingestionEvents
get ingestion status
Get live ingestion status for a project or customer in a requested window.
POST
/
v1
/
ingestion-events
/
status
get ingestion status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Get ingestion status request
Response
Get ingestion status response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
high, medium, low Show child attributes
Show child attributes
⌘I